This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 887826 - RFE: virt-sparsify cannot handle multi-disk virtual machines (eg. if they use LVM, MD, LDM, etc)
RFE: virt-sparsify cannot handle multi-disk virtual machines (eg. if they use...
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 07:22 EST by Richard W.M. Jones
Modified: 2014-09-07 19:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-12-17 07:22:53 EST
Description of problem:

virt-sparsify takes 'indisk' and 'outdisk' parameters.  This
is a problem for multi-disk virtual machines, especially ones
using LVM, MD, LDM or other volume management where a single
filesystem might be spread over multiple disks.

I have a 3 disk Windows VM using LDM that simply cannot be
sparsified properly, because it's not possible to mount the
LDM partitions that take up the majority of the disk space.

Version-Release number of selected component (if applicable):

libguestfs 1.21.0
Comment 1 Richard W.M. Jones 2012-12-17 07:43:27 EST
I documented the problem upstream:
https://github.com/libguestfs/libguestfs/commit/6f02e33c6fbf2f14ba11ef07cb078ad6f6b2fea3
(Note this is just documentation, NOT a fix)

Note You need to log in before you can comment on or make changes to this bug.